Home | All Classes | Grouped Classes | Index | Search

# CL_SoundBuffer::prepare

Prepares the soundbuffer for playback on the specified soundcard.

    	CL_SoundBuffer_Session prepare(
    		bool looping = false, CL_SoundOutput* output = 0);

Parameters:

output
  Sound output to be used - NULL means use the current selected sound output (CL_Sound::get_selected_output().

Return value:

The playback session.

See also:

CL_SoundOutput | CL_SoundBuffer_Session | CL_Sound | CL_SoundBuffer

Questions or comments, write to the ClanLib mailing list.